GNU bug report logs - #59132
[PATCH] system: images: wsl2: Create $XDG_RUNTIME_DIR on first login.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: dan <i@HIDDEN>; Keywords: patch; dated Tue, 8 Nov 2022 20:07:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 59132 <at> debbugs.gnu.org:


Received: (at 59132) by debbugs.gnu.org; 9 Nov 2022 12:26:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 07:26:59 2022
Received: from localhost ([127.0.0.1]:39206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oskAU-0005Qt-PF
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2022 07:26:58 -0500
Received: from tobias.gr ([80.241.217.52]:43596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1oskAS-0005Qi-1Q
 for 59132 <at> debbugs.gnu.org; Wed, 09 Nov 2022 07:26:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=hf6PiHjwij75o
 Kbbnlqrux6JaGUuCivUOWPR62ZGdqk=;
 h=references:in-reply-to:subject:cc:
 to:from:date; d=tobias.gr; b=iz2DpXqT9zccNS6UgN6/XzMUDKo5sfXpK5DLn8erX
 lcF4BLE2/p9c8bGvC6vakwVSKGqfRafQw5lu9H2DC0uI7WmCR+jcPQBG62Y30qC95cTCnT
 vd882UT6i+2thI8gNxb1K7KHMymJSiQrjzrQGQ8ZrRaEJD6baqWJKYMMUKeWwV/Vrtur+m
 adMjwka7pOXJz3+hU6GY7uaSdbh2gCUUIY0a9OoVoPUuar6hsNEOCyBvCk+ajpPUE3y/fT
 1f1B4YILbeU/g3Ez2aln2smTQgrn0rlS1NLSMaDKNQWElb/5OB2qqU028DAqNIiHqCTAHa
 FjZ1nG2tPRwjft/1RL8sQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id c2a27f9b;
 Wed, 9 Nov 2022 12:26:46 +0000 (UTC)
MIME-Version: 1.0
Date: Wed, 09 Nov 2022 13:26:45 +0100
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: dan <i@HIDDEN>
Subject: Re: [bug#59132] [PATCH] system: images: wsl2: Create $XDG_RUNTIME_DIR
 on first login.
In-Reply-To: <20221108200553.15545-1-i@HIDDEN>
References: <20221108200553.15545-1-i@HIDDEN>
Message-ID: <4f5c715e9dd8aef023d85615125b9fa9@HIDDEN>
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59132
Cc: 59132 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi dan,

Thanks!  Why is this needed?

On 2022-11-08 21:05, dan wrote:
> * gnu/system/images/wsl2.scm (wsl-boot-program): Create 
> $XDG_RUNTIME_DIR
                                                           
^^^^^^^^^^^^^^^^
There's no reference to this in the actual patch.

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.




Information forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.

Message received at 59132 <at> debbugs.gnu.org:


Received: (at 59132) by debbugs.gnu.org; 9 Nov 2022 07:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 02:24:56 2022
Received: from localhost ([127.0.0.1]:38860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osfSC-0001mu-Aq
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2022 02:24:56 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:48779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <i@HIDDEN>) id 1osfSA-0001mf-Ge
 for 59132 <at> debbugs.gnu.org; Wed, 09 Nov 2022 02:24:55 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 0F1795C00C9;
 Wed,  9 Nov 2022 02:24:48 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 09 Nov 2022 02:24:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dan.games; h=cc
 :content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm2; t=1667978688; x=
 1668065088; bh=7uZYvpLRHMg8QwPkmGJmbSADAybIDDBXq5ww8RJ7phg=; b=V
 ftDnr5Joy43UzWUMRR5Nx6ZFJCH1BfYvAgbOejXW43AKCIMTGReN2s230NMDxPi/
 cSl9coT9PwC+OjocRbHjRhrOQsdx+fAyWK4jaWOpqUf5JbO5alF49l0F0d3uwaXI
 AmjGFP4G/p/DN1RuykAvWE6+sbcP0MBtS6rwqNSZjzocM5vKZ3k4vEPbINL/HVMP
 32kFq5lOBkY083J25CfxVDnhuiYutmnlB5ALR/7QKrVB6ro6CJIFKUHcNOekYVL8
 1DZA3e0JfV0X9DUxMl9zQOS0UvY1SmzNsRIRo2Kflq4NmlvyAN+GcMWBUV3hN3jG
 vH0OoJZjihFUAawxRAmiQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:date:feedback-id:feedback-id:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; t=1667978688; x=1668065088; bh=7
 uZYvpLRHMg8QwPkmGJmbSADAybIDDBXq5ww8RJ7phg=; b=ZuAijJlj4h40c48Bf
 Mtfvh10J5iUgQ3A4d02hKM6HWRwp6xYlt9Vxid3xd1ofqLhfdvDC8U28FCSUO/Yo
 nMA41JB1+NJXiewa3ZUfk9JMxVMzhVY8HyPGTt/ta5oZLIZH93+TTS/K8NRPtURY
 V1X7ARMQFxgDDviacB116Waj4hiPfbl3U+UGFKwbxHOyTwNTZN9/PHvToOSt1A27
 Fm5vKR+O0ll/eqgLdWRv/B32tC7fwtcdJbv0IpcsXJM/EkzJ8Y3W4OM8u+NDwQzP
 WpycuZPm5UA4aqW8ahtlnP4WEpEbC4YaJIkxjQ0c94unJ9o5lSY/vLpQLko7Rmu4
 npaSA==
X-ME-Sender: <xms:v1VrY1TaAlmZ9JRACvoRiHLKxO8-UTKowZEgLrgvS66OMv-eH5pU2A>
 <xme:v1VrY-yJxNvEu7jcCulDAf4gkZ8fub5UWQQyzC21T55ku6Wu0EbPQKzlmka6icNnU
 Hi7vC3W7zNdLPXqvEo>
X-ME-Received: <xmr:v1VrY60ZiesH6l3_qoyyL89TQswc6s5uMWgttLm1lY2Uv9I7Ou1jdQ7nPQlvfSxBoeI>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrfedugdduuddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefkffggfgfuvfhfhfgjtgfgsehtje
 ertddtfeejnecuhfhrohhmpegurghnuceoihesuggrnhdrghgrmhgvsheqnecuggftrfgr
 thhtvghrnhepueffgffhkeejieeuieffheffheejtdeuheelvdfhueeuueejhfelveejke
 efvdevnecuffhomhgrihhnpehvohhiughlihhnuhigrdhorhhgnecuvehluhhsthgvrhfu
 ihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepihesuggrnhdrghgrmhgvsh
X-ME-Proxy: <xmx:v1VrY9DI0GyihDgzjGZLVwYOd5ZE_EFp3OT4iCLlvDmcT4EOBsxu8w>
 <xmx:v1VrY-gkVKUjE9GIfWMZEVl66sLDCmlO2x89kLdFFoWCuhImra0z_w>
 <xmx:v1VrYxrDwrRC4jkDKnNLbT5S6l9UdqdF8ctN9eYAQ2qdWnWt_CkTbg>
 <xmx:wFVrY2Lf7NSk6X6-vvNc33S0UxmCdzIdHceuSkxdfSJbGPx6s0CwBg>
Feedback-ID: i3b5946ed:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 9 Nov 2022 02:24:46 -0500 (EST)
Message-ID: <397fac84-206d-198d-e838-6f5d6f723998@HIDDEN>
Date: Wed, 9 Nov 2022 15:24:41 +0800
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Subject: Re: [bug#59132] [PATCH] system: images: wsl2: Create $XDG_RUNTIME_DIR
 on first login.
Content-Language: en-US
To: "(" <paren@HIDDEN>, 59132 <at> debbugs.gnu.org
References: <20221108200553.15545-1-i@HIDDEN>
 <CO76S4UZHC7A.1RE7FL2ZZCXHP@guix-framework>
 <c5634e2f-3739-4d4a-b9e5-a04ef7f5ee12@HIDDEN>
 <CO773WJBB1O3.1VGM0YVMCG3OO@guix-framework>
From: dan <i@HIDDEN>
In-Reply-To: <CO773WJBB1O3.1VGM0YVMCG3OO@guix-framework>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 59132
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

On 11/9/2022 4:27 AM, ( wrote:
> elogind/seatd are tasked with setting up login sessions, which includes creating
> XDG_RUNTIME_DIR. They probably do work on WSL, since I'm pretty sure desktops do?

I searched on the internet and found the manual from Void Linux[1], 
saying that seatd is not creating XDG_RUNTIME_DIR for login users.

[1]: 
https://docs.voidlinux.org/config/session-management.html#xdg_runtime_dir

-- 
dan





Information forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.

Message received at 59132 <at> debbugs.gnu.org:


Received: (at 59132) by debbugs.gnu.org; 9 Nov 2022 04:26:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 23:26:29 2022
Received: from localhost ([127.0.0.1]:38640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oscfU-0005To-Rx
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 23:26:29 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:46999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <i@HIDDEN>) id 1oscfS-0005Ta-A4
 for 59132 <at> debbugs.gnu.org; Tue, 08 Nov 2022 23:26:27 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 81BA13200A2A;
 Tue,  8 Nov 2022 23:26:19 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 08 Nov 2022 23:26:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dan.games; h=cc
 :content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm2; t=1667967979; x=
 1668054379; bh=RqAd3bP0W5ZunY8SadS3R3ezW/wIEAvekaZC24AB7FM=; b=w
 HE+bP9u1zSrjF3lw5L13+GEs6oEVd+gSmwGj4Xow1eMkp0rci2SMFGaczufNf7bd
 HD1hat+VgvWY2gbyDIyidoj8gxK3f4lCdMTLYSCgVPbiul8tosjjJOyTcdZPPtd+
 aMC5Nd2Y6UmgSdhG9vx3IXbTYfQkRuYPJH9HOOguCP0CYwM37mq6+pKTksTdmnEY
 CH8UpXHlvaUqL/XUaT2mQB1PkohGKHy/Iy8H0Djr90ECl+DMBQSY+MptRtBee0kv
 GrwhdBNEUQvfGEipIBrSoaie+iUlE92pNRrcLWr7ISxckTmIkxC/9k1ME5787bjV
 zT3nNGmwxhStVzfR6vtOA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:date:feedback-id:feedback-id:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; t=1667967979; x=1668054379; bh=R
 qAd3bP0W5ZunY8SadS3R3ezW/wIEAvekaZC24AB7FM=; b=MDy6vdH+ziR6ZOw1m
 6F2ZAeNPxT11d9JdM+rnRNuXVRgi/LSzu2MlUXSqwfbbw7vx9CfIKU1fXEduP4+E
 PQtaDdzokGwXX1b6MNKxbjmegDrSRDYHXILqIKi4RkBeYN90sg8ijSEUPTAMcCcK
 ZaHHwfndti/5gVWO+5qsB91o0srAeMOht3msQRPEMPWfxk9L4S8sYkwLM9YnHD+F
 YkKExPjtj12oTfy71f6Dn3AvjbaVPS25BLzr22PNLaCj8Vv+FVK7lELmazKsdP8h
 40uJ61dnKB+3JFswv6TQaETGTz0bG79yHAcKHwsUjqLP7fjGdatubb3I5o6OXmcT
 v4nLQ==
X-ME-Sender: <xms:6itrY2quPomTiqoirWxNq5ukC0LOFVtGWmWwLWgJc5jR-w7_tVHVDg>
 <xme:6itrY0qbEb6MJEAQeYTwg5ezmROM3t3_dVqQ3YV828w-Zja2YAZOMRMiW8gllux8P
 BUakE_I2Of-_fxg8aw>
X-ME-Received: <xmr:6itrY7Pymwr7auzVfXzkK6ectTPAMQcRfMuyBMwfk9PXe8i3wuOu6C5LejL7PA1Do4U>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrfedugdejudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepkfffgggfvfhfhffujggtgfesthejre
 dttdefjeenucfhrhhomhepuggrnhcuoehisegurghnrdhgrghmvghsqeenucggtffrrght
 thgvrhhnpeejhfdtkeevheeuudelgfejieeivdetleffuedugfetudelieevudeiueehgf
 ejueenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehi
 segurghnrdhgrghmvghs
X-ME-Proxy: <xmx:6itrY16UWtzb3yMGLFfcQ9Z-YR731FDOyZzG7rar7KrgaKgiavJk2A>
 <xmx:6itrY15kybrOX1L__whAB6_M8RGBx-GEo7h45Do0X_xXfKcOGJLG_Q>
 <xmx:6itrY1jMegNuLwnLSGOt7bxHJo3d1nucqqdZb7BDGJ-7R6gO-1b6hg>
 <xmx:6ytrYyiTA6OTWGqcKVOVuFoe9KPm7EZgSn2ol0QiJ34sJxnM_RXNJA>
Feedback-ID: i3b5946ed:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 8 Nov 2022 23:26:17 -0500 (EST)
Message-ID: <031d4167-c217-06f7-2ea2-801781ab41c6@HIDDEN>
Date: Wed, 9 Nov 2022 12:26:12 +0800
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
Content-Language: en-US
To: "(" <paren@HIDDEN>, 59132 <at> debbugs.gnu.org
References: <20221108200553.15545-1-i@HIDDEN>
 <CO76S4UZHC7A.1RE7FL2ZZCXHP@guix-framework>
 <c5634e2f-3739-4d4a-b9e5-a04ef7f5ee12@HIDDEN>
 <CO773WJBB1O3.1VGM0YVMCG3OO@guix-framework>
From: dan <i@HIDDEN>
Subject: Re: [bug#59132] [PATCH] system: images: wsl2: Create $XDG_RUNTIME_DIR
 on first login.
In-Reply-To: <CO773WJBB1O3.1VGM0YVMCG3OO@guix-framework>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 59132
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

On 11/9/2022 4:27 AM, ( wrote:
> elogind/seatd are tasked with setting up login sessions, which includes creating
> XDG_RUNTIME_DIR. They probably do work on WSL, since I'm pretty sure desktops do?

i tried the following things:

adding `(syslog-service)' and `(service elogind-service-type)' to the 
operating-system's service list.  and when i login to wsl, it shows the 
following error:

 > sudo: pam_open_session: Error in service module
 > sudo: policy plugin failed session initialization

also tried seatd, by adding `(udev-service)' and `(service 
seatd-service-type)' to the service list.  and when logging in, it shows:

 > warning: XDG_RUNTIME_DIR doesn't exists, on-first-login script won't 
execute anything.  You can check if xdg runtime directory exists, 
XDG_RUNTIME_DIR variable is set to appropriate value and manually 
execute the script by running '$HOME/.guix-home/on-first-login'

normally, when logging into wsl, users don't need to type their 
password.  i'm not sure if it related to the issue, but it might perform 
differently with a normal linux distro.

-- 
dan





Information forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.

Message received at 59132 <at> debbugs.gnu.org:


Received: (at 59132) by debbugs.gnu.org; 8 Nov 2022 20:27:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 15:27:30 2022
Received: from localhost ([127.0.0.1]:38265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osVBy-0002Ql-D6
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:27:30 -0500
Received: from knopi.disroot.org ([178.21.23.139]:58788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1osVBw-0002Qc-C1
 for 59132 <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:27:29 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B2D4B409EE;
 Tue,  8 Nov 2022 21:27:27 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id BdgDMB1vV7Y7; Tue,  8 Nov 2022 21:27:26 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1667939246; bh=Fbw0gQ7i8+3vf/iu7bIXIWQmDYgvPmHsSOMY8NSlbu8=;
 h=Date:Subject:From:To:References:In-Reply-To:From;
 b=E0lEaNCJfXPQQEt5VVsVEDXy4ZLd/aCdGRGg4yKypRkvkndpBAXI9jg0qXo8ZOKs6
 w7Nh3Xf57oGrRQQcV25bADgsH88dHFlvkSdTSH3mBfLSuTj8xTQM4ItSU3Nua0P8Xm
 0srhG/fQH2Agk1F+OBIx4d2GSpXeMwqzbvlpfAshMzpdMxIhRWNx4f3xS9lO9yHNCS
 5mbVqkMa1GPoOiEOB/GVXoxV/4Ci3RHC5tangxwzOj8djPHswrLDtzIRtPvxN8oUdn
 8bNpq2uZ27ExZZw6S29DVwEpEr3AppQ9EUb5A4GZLNSZO+9CUSwGjiWv9Qtf8NidXi
 PQP2A8nO9LP+Q==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Tue, 08 Nov 2022 20:27:26 +0000
Message-Id: <CO7747KE750U.1H6WBTP2ZPZQQ@guix-framework>
Subject: Re: [bug#59132] [PATCH] system: images: wsl2: Create
 $XDG_RUNTIME_DIR on first login.
From: "(" <paren@HIDDEN>
To: "dan" <i@HIDDEN>, <59132 <at> debbugs.gnu.org>
References: <20221108200553.15545-1-i@HIDDEN>
 <CO76S4UZHC7A.1RE7FL2ZZCXHP@guix-framework>
 <c5634e2f-3739-4d4a-b9e5-a04ef7f5ee12@HIDDEN>
In-Reply-To: <c5634e2f-3739-4d4a-b9e5-a04ef7f5ee12@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  To be clear, s/desktops/desktop environments/. -- ( 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 59132
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

To be clear, s/desktops/desktop environments/.

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.

Message received at 59132 <at> debbugs.gnu.org:


Received: (at 59132) by debbugs.gnu.org; 8 Nov 2022 20:27:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 15:27:07 2022
Received: from localhost ([127.0.0.1]:38262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osVBb-0002QC-4Z
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:27:07 -0500
Received: from knopi.disroot.org ([178.21.23.139]:52692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1osVBZ-0002Q2-85
 for 59132 <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:27:06 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B2FF640D22;
 Tue,  8 Nov 2022 21:27:03 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id WdX9o5L9KmbB; Tue,  8 Nov 2022 21:27:02 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1667939222; bh=axNiPXXXexRYqQcce4SIUEHYrD/FdYTFEQQ1lct93Dk=;
 h=Date:From:To:Subject:References:In-Reply-To:From;
 b=O3SL8oQTdo/2tGgyyDDO7er56Vc2m+QqHjXeLUtTOGxEMnI83ZUi2NeLDMvoceuUW
 LFzcuUXrE3Vi38BtFulBqtPXWTtB1GtCDqLHxMtSz6VZLH7Hz0GVS7xyFF2bv93ctX
 3xdfNjFMZXHBS/1o836oXxlQFWFocrNHvs1l/wAuhC0CWH7FP2UP+oQ/269vl2mahR
 afYYGov9tg18u13vgyDBP+2qleTMCguRu0yRvojMB8Cg5fi/U1hd7SvImN1/ICn1+e
 LTugyTHYUYv1YAVhuIDN7471/3GXfgI7bUl4KVVeuVw+cIlUjss5P88ZcxL4gRbfYC
 6GVLY86g/1aAw==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Tue, 08 Nov 2022 20:27:02 +0000
Message-Id: <CO773WJBB1O3.1VGM0YVMCG3OO@guix-framework>
From: "(" <paren@HIDDEN>
To: "dan" <i@HIDDEN>, <59132 <at> debbugs.gnu.org>
Subject: Re: [bug#59132] [PATCH] system: images: wsl2: Create
 $XDG_RUNTIME_DIR on first login.
References: <20221108200553.15545-1-i@HIDDEN>
 <CO76S4UZHC7A.1RE7FL2ZZCXHP@guix-framework>
 <c5634e2f-3739-4d4a-b9e5-a04ef7f5ee12@HIDDEN>
In-Reply-To: <c5634e2f-3739-4d4a-b9e5-a04ef7f5ee12@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Heya, On Tue Nov 8, 2022 at 8:23 PM GMT, dan wrote: > I'm
 not familiar with the job of elogind/seatd. I might take a look. Other than
 that, I'm also not sure if these work on WSL2. elogind/seatd are tasked with
 setting up login sessions, which includes creating XDG_RUNTIME_DIR. They
 probably do work on WSL, since I'm pretty sure desktops do? 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 59132
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Heya,

On Tue Nov 8, 2022 at 8:23 PM GMT, dan wrote:
> I'm not familiar with the job of elogind/seatd.  I might take a look.  Ot=
her than that, I'm also not sure if these work on WSL2.

elogind/seatd are tasked with setting up login sessions, which includes cre=
ating
XDG_RUNTIME_DIR. They probably do work on WSL, since I'm pretty sure deskto=
ps do?

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.

Message received at 59132 <at> debbugs.gnu.org:


Received: (at 59132) by debbugs.gnu.org; 8 Nov 2022 20:23:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 15:23:47 2022
Received: from localhost ([127.0.0.1]:38258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osV8N-0002LQ-DG
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:23:47 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:46249)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <i@HIDDEN>) id 1osV8F-0002L2-HJ
 for 59132 <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:23:46 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id A5BE95C00C4;
 Tue,  8 Nov 2022 15:23:33 -0500 (EST)
Received: from imap51 ([10.202.2.101])
 by compute5.internal (MEProxy); Tue, 08 Nov 2022 15:23:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dan.games; h=cc
 :content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm2; t=1667939013; x=1668025413; bh=tMlyS2sA9U
 /CnUc5jcF7ZCuBZUORiT3FjamnqEdzVZ0=; b=gUFd7bx2udcmdTVG4kabPHuSbR
 UZlq1gunEXX7N1YOJBCNvRMY9BF1hykVieKK7TGulCD+kph/ZdTg5Q5AYPD8Y8+5
 ngOTiueSe8yY5rYmLcXT0jk3qyriJayiyw581USttY0Q3zWu7pAT/RagwR3vTX5C
 cPrEG0F1NlBVq4eDpemFBEtmNhUjYc7K9z0tyHBjAak52cIURvvnyVWdKYYhKnd9
 nIntEcUB60t/EknBWaXHErNVRhrs6tX5q4xdRJyoEcyw9uLUosVdKjhhIGfBaGU5
 dnCxo8W9kflnkIg624Ff15tiv5DkaL+rQfXSeM42wLiF6UAaLxp2syk8u2sw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; t=1667939013; x=1668025413; bh=tMlyS2sA9U/CnUc5jcF7ZCuBZUOR
 iT3FjamnqEdzVZ0=; b=WDww18QY99+fS9uyB4RwMgNwwJkvuGCH97oXOXLq3T2t
 mHkbyTZ1d4w+22XCEmwpK3UC2p6guothUNA8ZjAHEMfXlqJMVei3BP+q6zuWYbwc
 6PCwfasve8drljDzDbMg+pq1Yy3rqJ1+kjDs6wsAMryRlH5ncRXqaolUcTBCNK+V
 duiHD3xPxlld7vpF203NNomrDoFRPRhisKcWtLV8YcSdu7Dya6dIAMz5Duq08iqc
 jwb9hlvjfzDqeg4egl8lvADQxBDyI4EoIDOPRCUmnRHC/rbbk9mEWI/sAPYgkwvC
 HYz+GoUB0x79zHLxeRJT2PetPORNGBp/5SvzO+QY9g==
X-ME-Sender: <xms:xbpqYxjEfl8hqu2mOca7cN39UIq0OV4Y_KSE9SAXHi-EYiZLwCGSpA>
 <xme:xbpqY2AqPWvY5K-pithmbW46YIkqEo_G0qZH6JcazsyFewLMJxRqNjRlLFGlWshTf
 5WsQ4fr289xyonBH4g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrfedtgddugedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsehttd
 ertderredtnecuhfhrohhmpegurghnuceoihesuggrnhdrghgrmhgvsheqnecuggftrfgr
 thhtvghrnhephfeftdfhtdefgeevtddtfeeijedufeefueejteffudettdfhfeeujeevfe
 evfeffnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhep
 ihesuggrnhdrghgrmhgvsh
X-ME-Proxy: <xmx:xbpqYxGj_eRW04z7MhduVzPzT4vSOj6SEm_XRgCNqq-y4pHresVLBQ>
 <xmx:xbpqY2QgD7cuvpTiuGmuqbyycBJK5_NDdRFqyfS1uPOjul9tpDt85w>
 <xmx:xbpqY-xm_lgLKpwxQmq68j-b64vgqMVMcjzrOXQ2PhiSm9if1bnlxA>
 <xmx:xbpqYztJ2P9jDjsiKTGPuAK1uQrLUFE55dAaAu8MLhC5YV1cLU4i9A>
Feedback-ID: i3b5946ed:Fastmail
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 792DEB60086; Tue,  8 Nov 2022 15:23:33 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.7.0-alpha0-1115-g8b801eadce-fm-20221102.001-g8b801ead
Mime-Version: 1.0
Message-Id: <c5634e2f-3739-4d4a-b9e5-a04ef7f5ee12@HIDDEN>
In-Reply-To: <CO76S4UZHC7A.1RE7FL2ZZCXHP@guix-framework>
References: <20221108200553.15545-1-i@HIDDEN>
 <CO76S4UZHC7A.1RE7FL2ZZCXHP@guix-framework>
Date: Tue, 08 Nov 2022 14:23:13 -0600
From: dan <i@HIDDEN>
To: "(" <paren@HIDDEN>, 59132 <at> debbugs.gnu.org
Subject: Re: [bug#59132] [PATCH] system: images: wsl2: Create $XDG_RUNTIME_DIR
 on first login.
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59132
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)



On Tue, Nov 8, 2022, at 14:11, ( wrote:
>> +           ;; create XDG_RUNTIME_DIR for the login user
>> +           (unless (file-exists? runtime-dir)
>> +             (mkdir runtime-dir)
>> +             (chown runtime-dir uid gid))
>> +
>
> Shouldn't this be handled by elogind/seatd?

I'm not familiar with the job of elogind/seatd.  I might take a look.  Other than that, I'm also not sure if these work on WSL2.

--
dan




Information forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.

Message received at 59132 <at> debbugs.gnu.org:


Received: (at 59132) by debbugs.gnu.org; 8 Nov 2022 20:11:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 15:11:45 2022
Received: from localhost ([127.0.0.1]:38237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osUwj-00023G-4F
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:11:45 -0500
Received: from knopi.disroot.org ([178.21.23.139]:57002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1osUwg-000238-V6
 for 59132 <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:11:43 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 9105140DD2;
 Tue,  8 Nov 2022 21:11:41 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id kvAfkLRav1et; Tue,  8 Nov 2022 21:11:40 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1667938300; bh=3J4aFURb6M5eC4avqyX5KPWEnaOuRO54CWuaxAxexiU=;
 h=Date:From:To:Subject:References:In-Reply-To:From;
 b=MgrHtxStml1Aw+/xT1g8lH0T2gBveH58U0DDXZMN7ejL8fb7hn7eHfsHTfEZXEAnR
 Dl3nQ/8u8SE2VMEHqTwXJN0H2BNBDWuvzSc3mWBwDZ1kdoZ8nQiVVzidk6XlMNQzid
 B3y4swlq9tkT222cSEZS5L/5g5W9sp7xuIMRFOioBtlpzYcBo0WKU6m2oy+VMeee3K
 LOud85MojhzCEgN5zPoh5kILHxuwevjcPpIYp3bKjmXamGFu7SAKOm376l4zQNZt3s
 +ZK0iRLzBRqmDa9gXlKkVj5vTti2dkxQorE2WUWIgUO5viiFsph52pecx5IRZkmNFF
 2hlN4KQn8xU3Q==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Tue, 08 Nov 2022 20:11:39 +0000
Message-Id: <CO76S4UZHC7A.1RE7FL2ZZCXHP@guix-framework>
From: "(" <paren@HIDDEN>
To: "dan" <i@HIDDEN>, <59132 <at> debbugs.gnu.org>
Subject: Re: [bug#59132] [PATCH] system: images: wsl2: Create
 $XDG_RUNTIME_DIR on first login.
References: <20221108200553.15545-1-i@HIDDEN>
In-Reply-To: <20221108200553.15545-1-i@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Tue Nov 8, 2022 at 8:05 PM GMT,
 dan wrote: > * gnu/system/images/wsl2.scm
 (wsl-boot-program): Create $XDG_RUNTIME_DIR on > first login. > > copyright
 info > --- a/gnu/system/images/wsl2.scm > +++ b/gnu/system/images/wsl2.scm
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 59132
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Tue Nov 8, 2022 at 8:05 PM GMT, dan wrote:
> * gnu/system/images/wsl2.scm (wsl-boot-program): Create $XDG_RUNTIME_DIR =
on
> first login.
>
> copyright info

> --- a/gnu/system/images/wsl2.scm
> +++ b/gnu/system/images/wsl2.scm

> @@ -88,6 +93,11 @@ (define (wsl-boot-program user)
>                    MS_REMOUNT
>                    #:update-mtab? #f)
> =20

> +           ;; create XDG_RUNTIME_DIR for the login user
> +           (unless (file-exists? runtime-dir)
> +             (mkdir runtime-dir)
> +             (chown runtime-dir uid gid))
> +

Shouldn't this be handled by elogind/seatd?

>             ;; Start login shell as user.
>             (apply execl sudo "sudo"
>                    "--preserve-env=3DWSLPATH"

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2022 20:06:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 15:06:14 2022
Received: from localhost ([127.0.0.1]:38227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osUrO-0001vF-1W
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:06:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:37692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <i@HIDDEN>) id 1osUrM-0001v6-Cf
 for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 15:06:12 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <i@HIDDEN>) id 1osUrM-0006CP-1A
 for guix-patches@HIDDEN; Tue, 08 Nov 2022 15:06:12 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <i@HIDDEN>) id 1osUrJ-0001U6-RM
 for guix-patches@HIDDEN; Tue, 08 Nov 2022 15:06:11 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id CBB505C009C
 for <guix-patches@HIDDEN>; Tue,  8 Nov 2022 15:06:08 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Tue, 08 Nov 2022 15:06:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=dan.games; h=cc
 :content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:message-id:mime-version:reply-to:sender:subject
 :subject:to:to; s=fm2; t=1667937968; x=1668024368; bh=I9mKmD+LLH
 iSgrif2Jobq8s3p8cKxgK/LBvHTgKKQUs=; b=qAIE1NzqMsshEL6T0RrilZ61yz
 im7IExYg9XCjQDzx9RTBKSqNK0i16zi0toPJgUQwFLNg6XMN5fLpTA9ZcHv4AS0d
 sknr+6AFMcQgVuMzEis8F99ZG1Pgh9QFMx5kkpp0q2E3j1sq851x90uw/a0Sxv+B
 g8y+p9O+lj4VlHnSxT+cbSJLHQZQ+PwZ2gRgi5T3agLXqUHML0Uq2a6ff4t5AGhP
 lBc46lL9BGG1UNhZVWNkwadUqSJWS1KGUD3V3IF1p5f2u5fZaxCjjwouZWALJaVr
 M/A6iOGipdyFTdAUdBE8J5K6u1RsYbv0fnI6IguwWwuOafhdsXWNOmEei94w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:date:feedback-id:feedback-id:from:from:in-reply-to
 :message-id:mime-version:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm1; t=1667937968; x=1668024368; bh=I9mKmD+LLHiSgrif2Jobq8s3p8cK
 xgK/LBvHTgKKQUs=; b=XAXkYiDh2KVRDle7RbRHejW8EWEPK6N9sNDUxAjXjHRl
 lB6r3iT5Xyv8Fapq2MQkOXwAkQKq6yrcqAsj3OChx42qgjo0ACWPLFfHcu4RazuW
 N5/ocJ37J7KTonXkGWvS7NWzsCZU7IMyTtlZMsaUf3d3zvDORljGfHaUkuC4NquH
 s9CUFdswOE1Vis7JeKT2qhX5OL6Z/i6eQzYCt8IFvPmVnqifgMapgbYBm6aUCABx
 IcwL9MMFophMXupBOctCcHpm3hPi25wrdOgYdlTThqTIzW1XHDJ0Hmyn4oaoIUQJ
 xSzjAz2ZTMqLrebvw13BNKrPBy1xI1YeG/sc1vaeNQ==
X-ME-Sender: <xms:sLZqY2hPq8MhfyndRvSY0YCMxB5E6DImXq-xHsp4bwhYCuGU41qYDg>
 <xme:sLZqY3BbHuWpB-OEKl7ws4eydioepqAURWFMP6vH0LXEu50eiREqrT47MoAie0BwJ
 kl79SvL_8dzx5cNC_k>
X-ME-Received: <xmr:sLZqY-HmszbAZsli1soh6IKmOx9NfIqOgodMco6Y72cfm4auOhdJSF1aN_J8pkc6NU_AkFi57SY>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvgedrfedtgddufeehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofggtgfgsehtkeertd
 ertdejnecuhfhrohhmpegurghnuceoihesuggrnhdrghgrmhgvsheqnecuggftrfgrthht
 vghrnhepgeejhefggffggfeiheekvdekveetgfejteefuddtfeevtdetuddtfeehhefhtd
 ehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepihes
 uggrnhdrghgrmhgvsh
X-ME-Proxy: <xmx:sLZqY_TfViYcj9uM7b5YjAatt6StWdJA3RpOglR5PXizrLt9yqYOKg>
 <xmx:sLZqYzxXZqlCzRao_cpbxE5KxfaeETf_3fXqJY9uDhexp_xBW-cOkA>
 <xmx:sLZqY96oKQcZa17UNtXpCyhPD1UcaJfY_W52pJn8zjD7D5qmSA9Qew>
 <xmx:sLZqY0uMqJrL1yi92zRZIbSth3iC8A2UzX-Iyhosv0OxrBKEi6g_CA>
Feedback-ID: i3b5946ed:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <guix-patches@HIDDEN>; Tue, 8 Nov 2022 15:06:07 -0500 (EST)
From: dan <i@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] system: images: wsl2: Create $XDG_RUNTIME_DIR on first login.
Date: Wed,  9 Nov 2022 04:05:53 +0800
Message-Id: <20221108200553.15545-1-i@HIDDEN>
X-Mailer: git-send-email 2.38.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=66.111.4.25; envelope-from=i@HIDDEN;
 helo=out1-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

* gnu/system/images/wsl2.scm (wsl-boot-program): Create $XDG_RUNTIME_DIR on
first login.

copyright info
---
 gnu/system/images/wsl2.scm | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/gnu/system/images/wsl2.scm b/gnu/system/images/wsl2.scm
index 80c2e775b4..e3e7503da3 100644
--- a/gnu/system/images/wsl2.scm
+++ b/gnu/system/images/wsl2.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2022 Alex Griffin <a@HIDDEN>
 ;;; Copyright © 2022 Mathieu Othacehe <othacehe@HIDDEN>
+;;; Copyright © 2022 dan <i@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -75,7 +76,11 @@ (define (wsl-boot-program user)
          (let* ((pw (getpw #$user))
                 (shell (passwd:shell pw))
                 (sudo #+(file-append sudo "/bin/sudo"))
-                (args (cdr (command-line))))
+                (args (cdr (command-line)))
+                (uid (passwd:uid pw))
+                (gid (passwd:gid pw))
+                (runtime-dir (string-append "/run/user/"
+                                            (number->string uid))))
            ;; Save the value of $PATH set by WSL.  Useful for finding
            ;; Windows binaries to run with WSL's binfmt interop.
            (setenv "WSLPATH" (getenv "PATH"))
@@ -88,6 +93,11 @@ (define (wsl-boot-program user)
                   MS_REMOUNT
                   #:update-mtab? #f)
 
+           ;; create XDG_RUNTIME_DIR for the login user
+           (unless (file-exists? runtime-dir)
+             (mkdir runtime-dir)
+             (chown runtime-dir uid gid))
+
            ;; Start login shell as user.
            (apply execl sudo "sudo"
                   "--preserve-env=WSLPATH"

base-commit: 96ae718c516a289124a0b91ceeef78b20d187825
-- 
2.38.0





Acknowledgement sent to dan <i@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#59132; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 9 Nov 2022 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.